%define name mod_frontpage
%define version 1.6.2
%define apache_version 1.3.33
%define release 11%{_my_ext}
Vendor:		%{vendor}
Packager:	%{packager}
Distribution:	%{distribution}


Summary:	The improved mod_frontpage module for the Apache Web server
Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		1
Group:		System/Servers
License:	Apache License
URL:		http://mirfak.sf.net
Source0:	http://prdownloads.sourceforge.net/mirfak/mod_frontpage_mirfak-1.6.2.tar.bz2
Source1:	mod_frontpage.html
Source2:	mod_frontpage.pl
Patch:		mirfak.patch.bz2
Prereq:		apache = %{apache_version}
Prereq:		apache-common >= %{apache_version}
Prereq:		apache-conf >= %{apache_version}
BuildRequires:	apache-devel 
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
This is a module for the Apache HTTP Server <http://www.apache.org/httpd.html>.
It replaces the Apache-FP patches and module supplied with the FrontPage Server
Extensions available from Microsoft <http://www.microsoft.com> and Ready-to-Run
Software <http://www.rtr.com/fpsupport>.

Using this module allows you to use advanced features of the FrontPage client
with your Apache HTTP Server (e.g. creating FrontPage-extended subwebs
using the FrontPage client in contrast to creating them as user "root" with
"fpinstall.sh" or the "fpsrvadm.exe"-utility on the system's shell).

%prep

%setup -q -n mod_frontpage_mirfak-%{version}
%patch -p1

%build
cp %{SOURCE2} .
perl mod_frontpage.pl

#Fix in case the build environment is not clean (ie, somebody chowned the
#/var/www/html directory!)
perl -pi -e "s|-DFP_UID_MIN=\d+|-DFP_UID_MIN=48|" Makefile
perl -pi -e "s|-DFP_GID_MIN=\d+|-DFP_GID_MIN=48|" Makefile
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/apache-extramodules
install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_var}/www/html/addon-modules
install -d %{buildroot}%{_docdir}/mod_frontpage-%{version}

install -m 755 mod_frontpage.so %{buildroot}%{_libdir}/apache-extramodules/
install -m 4711 fpexec %{buildroot}%{_sbindir}
install -m 755 fpstatic %{buildroot}%{_sbindir}

cp %{SOURCE1} %{buildroot}%{_docdir}/mod_frontpage-%{version}/
 
pushd %{buildroot}%{_var}/www/html/addon-modules
    ln -s ../../../..%{_docdir}/mod_frontpage-%{version} mod_frontpage
popd

%pre
#Check config file sanity
if [ -e %{_sbindir}/ap13chkconfig ]; then %{_sbindir}/ap13chkconfig;fi

%post
if [ $1 = "1" ]; then 
   #We're in Install mode, add module to the config files
   for config in %{_sysconfdir}/httpd/conf/{httpd,httpd-perl}.conf; do
     if [ -x %{_sbindir}/advxaddmod -a -e $config ]; then
       %{_sbindir}/advxaddmod $config \
	extramodules/mod_frontpage.so mod_frontpage.c \
	frontpage_module define=HAVE_FRONTPAGE
     fi
   done
   if [ -e %{_sbindir}/ADVXctl ]; then %{_sbindir}/ADVXctl update;fi
fi

if [ $1 -gt 1 ]; then 
   #We're in *upgrade mode*. Since we can't be sure the configuration files
   #are sane, remove module from the conf files to clean them, re-add again 
   #in a way that the older module we're replacing won't try to erase (the 
   #post scripts were broken on some packages), and finally clean the module
   #specific config file so it's compatible with the upgrade.
   for config in %{_sysconfdir}/httpd/conf/{httpd,httpd-perl}.conf; do
     if [ -x %{_sbindir}/advxdelmod -a -e $config ]; then
       %{_sbindir}/advxdelmod $config \
	extramodules/mod_frontpage.so mod_frontpage.c \
	frontpage_module define=HAVE_FRONTPAGE
     fi
     if [ -x %{_sbindir}/advxaddmod -a -e $config ]; then
       %{_sbindir}/advxaddmod $config \
	extramodules/mod_frontpage.so mod_frontpage.c \
	frontpage_module define=HAVE_FRONTPAGE 
     fi
   done
   if [ -e %{_sbindir}/ADVXctl ]; then %{_sbindir}/ADVXctl update;fi
fi

%postun
if [ $1 = "0" ]; then 
   for config in %{_sysconfdir}/httpd/conf/{httpd,httpd-perl}.conf; do
     if [ -x %{_sbindir}/advxdelmod -a -e $config ]; then
       %{_sbindir}/advxdelmod $config \
	extramodules/mod_frontpage.so mod_frontpage.c \
	frontpage_module define=HAVE_FRONTPAGE
     fi
   done
   if [ -e %{_sbindir}/ADVXctl ]; then %{_sbindir}/ADVXctl update;fi
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%dir %{_docdir}/mod_frontpage-%{version}
%doc %{_docdir}/mod_frontpage-%{version}/*
%{_libdir}/apache-extramodules/mod_frontpage.so
%attr(4551,root,root) %{_sbindir}/fpexec
%attr(0555,root,root) %{_sbindir}/fpstatic
%{_var}/www/html/addon-modules/* 

%changelog

* Tue Apr 5 2005 Scott Grayban <sgrayban@borgnet.us>
- rebuild for 10.1

* Tue Feb 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1:1.6.2-11mdk
- spec file cleanups, remove the ADVX-build stuff

* Sun Nov 21 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.6.2-10mdk
- built for apache 1.3.33

* Tue Jul 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.6.2-9mdk
- remove redundant provides

* Thu Jun 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.6.2-8mdk
- built for apache 1.3.31

* Sun Nov 09 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.6.2-7mdk
- built for apache 1.3.29

* Tue Sep 16 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.6.2-6mdk
- rebuild with apache 1.3.28

* Tue Feb 18 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.6.2-5mdk
- fix fpexec stub, thanks to Enrico Valsecchi <admin@hostyle.it>

* Thu Feb 13 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.6.2-4mdk
- new macros from ADVX-build

* Mon Jan 06 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.6.2-3mdk
- rebuilt for new mm version
- Add Provides: ADVXpackage, all ADVX package will have this tag, 
  so we can easily do a rpm --whatprovides ADVXpackage to find out
  what ADVX packages a user has installed on his system. 

* Fri Nov  8 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.6.2-1mdk
- Rebuild for Cooker

* Mon Oct 28 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.6.2-1mdk
- New version
- Rebuild with new apache

* Wed Jun 26 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.6.1-8mdk
- rebuild against new apache.

* Sat May 18 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.6.1-7mdk
- Build with gcc 3.1.

* Mon Apr 15 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.6.1-6mdk
- Apache 1.3.24.
- Macroize a little more.

* Sat Mar 23 2002 David BAUDENS <baudens@mandrakesoft.com> 1.6.1-5mdk
- Fix PreReq
- Better BuildRequires

* Sat Mar 23 2002 David BAUDENS <baudens@mandrakesoft.com> 1.6.1-4mdk
- BuildRequires: /usr/sbin/httpd

* Mon Mar 04 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.6.1-3mdk
- BUGFIX RELEASE (AKA Brown Paper Bag On The Head Hiding In The Closet)
- Fix chmod for fpexec (should be 4551)
- Fix UID and GID bug
- Modify documentation page since Frontpage 2002 has a completely different
  admin tool syntax.
- Buy Frontpage 2002, find a windows machine, install the software, and test
  publishing. I created a Root Web, a Per User Web, Virtual Hosts.
- EVERYTHING WORKS NOW ;-)
- Mess up completely the httpd.conf a few times so I can find out what
  potential problems can arise and write a Troubleshooting section.
- Added a link to the FAQ at www.rtr.com

* Tue Feb 05 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.6.1-2mdk
- Added extra security checks so only user "apache" can execute the suid
  binary.

* Tue Feb 05 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.6.1-1mdk
- SECURITY UPDATE
- Merge with FreeBSD port, since it's no longer maintained by author
- apache 1.3.23

* Thu Nov 22 2001 Christian Belisle <cbelisle@mandrakesoft.com> 1.5.1-6mdk
- fix invalid-packager and no-url warning (rpmlint).
- Added apache in BuildRequires

* Tue Oct 16 2001 Christian Belisle <cbelisle@mandrakesoft.com> 1.5.1-5mdk
- apache 1.3.22.
- remove mdk after version.

* Thu Jul 12 2001 Philippe Libat <philippe@mandrakesoft.com> 1.5.1mdk-4mdk
- new apache

* Sat Apr 14 2001 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.5.1mdk-3mdk
- fix Makefile.PL so it picks commonhttpd.conf too!

* Mon Apr  9 2001 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.5.1mdk-2mdk
- fix post scripts for good 

* Sun Mar 25 2001 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.5.1mdk-1mdk
- Replaced the old Microsoft frontpage extensions by the new Improved
  mod_frontpage module, more secure and totally buildable with apxs.
